Name:          tpm2-tss
Version:       3.0.3
Release:       1
Summary:       TPM2.0 Software Stack
License:       BSD and TCGL
URL:           https://github.com/tpm2-software/tpm2-tss
Source0:       https://github.com/tpm2-software/tpm2-tss/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++ autoconf-archive libtool pkgconfig systemd libgcrypt-devel openssl-devel json-c-devel libcurl-devel doxygen

%description
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs which provides TPM2.0 specified APIs for applications to access TPM module through kernel TPM drivers.

%package devel
Summary: Headers and libraries for building apps that use tpm2-tss
Requires: %{name} = %{version}-%{release}
%description devel
It contains headers and static libraries for tpm2-tss.

Provides:  %{name}-static
Obsoletes: %{name}-static

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static --disable-silent-rules --with-udevrulesdir=%{_udevrulesdir} --with-udevrulesprefix=80- \
           --with-runstatedir=%{_rundir} --with-tmpfilesdir=%{_tmpfilesdir} --with-sysusersdir=%{_sysusersdir}

%make_build

%install
rm -rf  %{buildroot}
%make_install

%check
make check

%pre

%preun

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README.md CHANGELOG.md
%license LICENSE
%{_sysconfdir}/tpm2-tss/
%{_sysusersdir}/tpm2-tss.conf
%{_tmpfilesdir}/tpm2-tss-fapi.conf
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_udevrulesdir}/80-tpm-udev.rules

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%files help
%defattr(-,root,root)
%{_mandir}/man*/*

%changelog
* Mon May 24 2021 panxiaohe<panxiaohe@huawei.com> - 3.0.3-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 3.0.3
       use proper rundir tmpfilesdir and sysusersdir, so proper directories are used
       delete unused epoch

* Fri May 21 2021 zoulin<zoulin13@huawei.com> - 2.4.1-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: add epoch for requires

* Thu Jan 14 2021 Hugel<gengqihu1@huawei.com> - 2.4.1-2
- Type:CVE
- ID:NA
- SUG:NA
- DESC: fix CVE-2020-24455

* Mon Jul 27 2020 wanghongzhe<wanghongzhe@huawei.com> - 2.4.1-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: update to 2.4.1

* Fri Apr 24 2020 wanghongzhe<wanghongzhe@huawei.com> - 2.4.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: update to 2.4.0

* Tue Sep 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.1-4 
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: revise spec file with new rules

* Sat Aug 31 2019 lizaiwang <lizaiwang1@huawei.com> - 2.0.1-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: strengthen spec

* Thu Aug 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.1-2
- Package init
